import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

//矿区监控模块数据
const mineMonitoring = {
	state:{
	  intelligentDispatch:{
      name:"智能派单系统",
      context:[{name:"发货车辆",num:"36辆"},{name:"发货量",num:"36辆"}],
    },
    environmentalMonitoring:{
      name:"环境监测",
      context:[{name:"扬尘",num:"23"},{name:"噪声",num:"23dB"},{name:"温度",num:"36℃"},{name:"湿度",num:"36RH%"},{name:"气压",num:"36KPa"}],
    },
    locationSystem:{
      name:"定位系统",
      context:[{name:"矿区车辆",num:"36辆"},{name:"矿区人员",num:"36人"}],
    },
    slopeMonitoring:{
      name:"边坡在线监测",
      context:[{name:"降雨量",num:"正常"},{name:"位移",num:"正常"}],
    },
    productionAutomation:{
      name:"生产自动化",
      context:[{name:"发货车辆",num:"36辆"},{name:"发货量",num:"36辆"}],
    }
	},
	mutations:{
	
	},
	getters:{
	
	},
	actions:{
	
	}
}
//生产自动化系统模块
const automation = {
	state:{
    //系统首页
	  brieflyMenuBar:{
      context:[{name:"破碎机1",context:"正常"},
               {name:"破碎机2",context:"正常"},
               {name:"通风除尘1",context:"正常"},
               {name:"通风除尘2",context:"正常"},
               {name:"通风除尘3",context:"正常"},
               {name:"通风除尘4",context:"正常"},
      ],
    },
    //历史数据
    history:{
      tableData: [{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },]
    },
    //实时数据
    now:{
      tableData: [{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },]
    },
    //报警记录
    alarm:{
      tableData: [{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },{
        equipment: '2016-05-02',
        name: '王小虎',
        numerical: '上海市普陀区金沙江路 1518 弄',
        alarmLevel: '2016-05-02',
        time: '王小虎',
        status: '上海市普陀区金沙江路 1518 弄'
      },]
    },
	},
	mutations:{
	
	},
	getters:{
	
	},
	actions:{
	
	}
}








//默认vuex
export default new Vuex.Store({
  state: {
    projectName:"鑫海数字矿山后台管理系统",
    platformName:"鑫海数字矿山后台管理平台",
  },
  mutations: {
  },
  actions: {
  },
  modules: {
    a:mineMonitoring,
    b:automation,
  }
})
